ContextEnvironment (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class ContextEnvironment

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextEnvironment

- All Implemented Interfaces:
    `java.io.Serializable`, `Injectable`

      public class ContextEnvironment
      extends ResourceBase

  Representation of an application environment entry, as represented in an `<env-entry>` element in the deployment descriptor.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextEnvironment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `getOverride()` |
    `java.lang.String` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setOverride​(boolean override)` |
    `void` | `setValue​(java.lang.String value)` |
    `java.lang.String` | `toString()` | Return a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextEnvironment

          public ContextEnvironment()

  - ### Method Detail

    - #### getOverride

          public boolean getOverride()

    - #### setOverride

          public void setOverride​(boolean override)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceBase`